Subject: Re: [tcpm] new work item: TCP security issue

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 20 Apr 2004 21:07:53 -0400

Just to be clear about why this happened, Mark and Ted are not to blame for
this document appearing as an Internet-Draft with a WG-item title. We (the
Area Directors) specifically requested that the secretariat publish it in
this form, in consultation with the WG chairs, some other ADs and members of
the IAB. The responsibility is ours.

Your concern about the abuse of process is understandable, and I hope it is
obvious that it was only the urgency of progressing this work which prompted
us to take an action which, as you rightfully assert, we have no legitimate
process grounds for taking.

But before we go through the exercise of resubmitting this document as an
individual submission, assessing consensus, and then potentially
resubmitting this document as a working group item, can I ask if anyone here
objects to the adoption of this draft as a working group item (on anything
other than process grounds)?

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Joe Touch [mailto:[email-masked]]
> Sent: Tuesday, April 20, 2004 3:14 PM
> To: [email-masked]
> Cc: [email-masked]; Ted Faber
> Subject: Re: [tcpm] new work item: TCP security issue
> 
> 
> 
> 
> Mark Allman wrote:
> 
> > Just announced internet-draft:
> > 
> >> Title           : Transmission Control Protocol security 
> considerations
> >> Author(s)       : R. Stewart
> >> Filename        : draft-ietf-tcpm-tcpsecure-00.txt
> >> Pages           : 10
> >> Date            : 2004-4-20
> >> 
> http://www.ietf.org/internet-drafts/draft-ietf-tcpm-tcpsecure-00.txt
> > 
> >  
> > Hi folks!
> > 
> > We wanted to announce a new I-D and TCPM work item.  The draft is
> > "Transmission Control Protocol security considerations"
> > (draft-ietf-tcpm-tcpsecure-00.txt).  We believe we owe a 
> bit in the way
> > of explanation since it seems that this is being foisted upon the WG
> > without much input.  
> > 
> > The brief story is that a bunch of folks were made aware of the TCP
> > security vulnerability outlined in the above draft.  (I think many
> > people have been aware of these things for a long time.  
> But, the driver
> > here is that there is a new conference paper that is going 
> to show the
> > ease with which the vulnerability can be exploited.)  Many 
> people from a
> > number of TCP implementers (vendors) have been busily 
> working behind the
> > scenes to come up with reasonable fixes before the vulnerability was
> > announced.  The fixes are in the I-D.  The vulnerability has been
> > announced (via the standard security issues venues).  As 
> part of this
> > process Randall Stewart wrote the above mentioned I-D for this WG to
> > ponder.
> > 
> > A few notes since this I-D got adopted as a WG item with 
> zero public /
> > open input:
> 
> Mark,
> 
> Er, well. Let's talk about that. Last I checked, we rejected kings, 
> which includes input of this sort from the top down.
> 
> This draft should be withdrawn and resubmitted as individual 
> immediately, since it is NOT YET a WG doc - not until _we_ start the 
> process. The _WG_ - not the IAB, not the IESG, etc. - should 
> decide for 
> ourselves whether we want the individual item (after we READ 
> it) as a WG 
> item.
> 
> Also, temporal order is important - i.e., 'it's a WG doc if the 
> IESG/chair decide and THEN we get to nix it'. This is a bottom-up 
> process. _THEN_ the hierarchy gets to decide whether we can 
> work on it. 
> Not the other way around.
> 
> (FWIW, I would concur that this should be a WG doc anyway; this isn't 
> about the doc, it's about the recurring abuse of process).
> 
> Joe
> 
> > 
> >   * Until the vulnerability was announced we didn't want to 
> entertain a
> >     huge discussion on the public mailing list for obvious reasons.
> > 
> >   * The transport ADs, security ADs and TCPM WG chairs all 
> agreed that
> >     this is an important problem to address and that TCPM 
> is the correct
> >     WG in which to address it.  That said, if folks think 
> we made the
> >     wrong call here, please feel free to speak up and tell us why we
> >     screwed up.
> > 
> >   * The fixes suggested in the above I-D are not being pre-judged as
> >     *THE* answer.  Rather, they represent *A POSSIBLE* solution (and
> >     running code) that this WG will consider.  In other 
> words, we are
> >     not trying to simply ram this document through the WG 
> and produce an
> >     RFC.  This WG will deliberate on the I-D as it would any other.
> > 
> >   * Alternate solutions are welcome.  We would like to 
> encourage folks
> >     who have different solutions to the problems outlined 
> in the draft
> >     to put those forward for consideration.
> > 
> > Any other comments folks have on this draft / issue are 
> very welcome.
> > 
> > Thanks!
> > 
> > Mark & Ted
> > 
> > 
> > 
> 

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm

---

From: Ted Faber <[email-masked]>
Date: Tue, 20 Apr 2004 18:58:31 -0700

> the IAB. The responsibility is ours.

Thanks, Jon, but while it was clear that the ADs wanted the draft
published with a tcpm in the file name, I certainly agreed that there
was no harm in publishing the draft with the name it has.  I only agreed
to that because it was very obviously work completely in line with the
tcpm charter, there was a need to keep the draft under wraps until
publication, and that there was an easy path for the WG to repidiate the
unilateral position and drop the work item if all concerned turned out
to be wrong.

As I think Mark has stated clearly, we percieved these circumstances to
be well out of the ordinary.  Once we decided to take those actions, we
presented the actions and the motives immediately to the WG.  There is
no hidden adgenda here.  I don't believe that this action goes against
the spirit of the WG process, but it did shortcut the letter.

I certainly do not expect this to be standard operating procedure.

I don't believe that any harm was done by this particular shortcut, but
conditions will need to be extreme for me to take it again.  And while I
appreciate Jon's clarification, I don't hide from the consequences of my
role in the decision here.  As I've said to Joe privately, if the WG
believes that this demonstrates that I'm unfit to act as WG chair, I'll
resign.  

I'm hoping that the group will let me off with only a cut in pay.

-- 
Ted Faber
http://www.isi.edu/~faber           PGP: http://www.isi.edu/~faber/pubkeys.asc
Unexpected attachment on this mail? See http://www.isi.edu/~faber/FAQ.html#SIG

---

From: Tim Shepard <[email-masked]>
Date: Tue, 20 Apr 2004 22:56:16 -0400

> process grounds for taking.

I must be missing something.   Could someone please explain why this
is urgent?   (I've read the draft once, and I'm reading it again now,
and I don't see why this would be considered urgent.)

Has the stuff needed for me to understand why this is urgent been
deliberately omitted from the draft (to avoid revealing something to
the black hats)?

			-Tim Shepard
			 [email-masked]

---

From: Ted Faber <[email-masked]>
Date: Wed, 21 Apr 2004 08:33:08 -0700

> and I don't see why this would be considered urgent.)

Your point that something labelled urgent should indicate why the
labeller (me) thought it was urgent is well taken.  Should I label
somethign urgent for the WG again, I'll put a line in the front of the
doc indicating why I believe it to be so.  Holler if I forget.